API Reference
Get Organisation
Get an Organisation by its ID
GET
/
organisations
/
{organisation_id}
Get Organisation
curl --request GET \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"displayName": "<string>",
"owner": "<string>",
"billing": {
"platformId": "<string>",
"customerId": "<string>",
"billingEmail": "<string>",
"isSubscriptionActive": 123,
"billingPeriodStart": "2023-12-25",
"billingPeriodEnd": "2023-12-25",
"platformType": "<string>",
"subscriptionId": "<string>",
"recentSubscriptions": [
{
"id": "<string>",
"status": "active",
"rawData": "<unknown>"
}
],
"hasMoreSubscriptions": true,
"freeTrialEndDate": "2023-12-25",
"isBespoke": true,
"boardQuota": 123,
"hubBoardQuota": 123
},
"systemServiceAccountClientID": "<string>",
"plan": "<string>"
}{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}Authorizations
Response
OK
SystemServiceAccountClientID is the client ID of the system service account for this Organisation. This is automatically created when the Organisation is created and is used by internal services which must authenticate on behalf of the Organisation. It cannot be deleted.
⌘I
Get Organisation
curl --request GET \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"displayName": "<string>",
"owner": "<string>",
"billing": {
"platformId": "<string>",
"customerId": "<string>",
"billingEmail": "<string>",
"isSubscriptionActive": 123,
"billingPeriodStart": "2023-12-25",
"billingPeriodEnd": "2023-12-25",
"platformType": "<string>",
"subscriptionId": "<string>",
"recentSubscriptions": [
{
"id": "<string>",
"status": "active",
"rawData": "<unknown>"
}
],
"hasMoreSubscriptions": true,
"freeTrialEndDate": "2023-12-25",
"isBespoke": true,
"boardQuota": 123,
"hubBoardQuota": 123
},
"systemServiceAccountClientID": "<string>",
"plan": "<string>"
}{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}